<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
  <!ENTITY % general-entities SYSTEM "../../general.ent">
  %general-entities;

  <!ENTITY libqalculate-download-http "https://github.com/Qalculate/libqalculate/releases/download/v&libqalculate-version;/libqalculate-&libqalculate-version;.tar.gz">
  <!ENTITY libqalculate-download-ftp  " ">
  <!ENTITY libqalculate-md5sum        "eeebd743379bf3b31c01f65d11021712">
  <!ENTITY libqalculate-size          "2.6 MB">
  <!ENTITY libqalculate-buildsize     "192 MB (with tests)">
  <!ENTITY libqalculate-time          "0.7 SBU (With tests; both using parallelism=8)">
]>

<sect1 id="libqalculate" xreflabel="libqalculate-&libqalculate-version;">
  <?dbhtml filename="libqalculate.html"?>

  <title>libqalculate-&libqalculate-version;</title>

  <indexterm zone="libqalculate">
    <primary sortas="a-libqalculate">libqalculate</primary>
  </indexterm>

  <sect2 role="package">
    <title>Introduction to libqalculate</title>

    <para>
      The <application>libqalculate</application> package contains a library
      that provides functions for a multi-purpose calculator.
    </para>

    &lfs123_checked;

    <bridgehead renderas="sect3">Package Information</bridgehead>
    <itemizedlist spacing="compact">
      <listitem>
        <para>
          Download (HTTP): <ulink url="&libqalculate-download-http;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download (FTP): <ulink url="&libqalculate-download-ftp;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download MD5 sum: &libqalculate-md5sum;
        </para>
      </listitem>
      <listitem>
        <para>
          Download size: &libqalculate-size;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated disk space required: &libqalculate-buildsize;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated build time: &libqalculate-time;
        </para>
      </listitem>
    </itemizedlist>

    <bridgehead renderas="sect3">libqalculate Dependencies</bridgehead>

    <bridgehead renderas="sect4">Required</bridgehead>
    <para role="required">
      <xref linkend="curl"/>,
      <xref linkend="icu"/>, and
      <xref linkend="libxml2"/>
    </para>

    <bridgehead renderas="sect4">Optional</bridgehead>
    <para role="optional">
      <xref linkend="doxygen"/> and
      <ulink url="http://www.gnuplot.info/download.html">gnuplot</ulink>
    </para>

  </sect2>

  <sect2 role="installation">
    <title>Installation of libqalculate</title>

    <para>
      Install <application>libqalculate</application> by running the following
      commands:
    </para>

<screen><userinput>./configure --prefix=/usr    \
            --disable-static \
            --docdir=/usr/share/doc/libqalculate-&libqalculate-version; &amp;&amp;
make</userinput></screen>

    <para>
      To test the results, issue: <command>make check</command>.
    </para>

    <para>
      Now, as the <systemitem class="username">root</systemitem> user:
    </para>

<screen role="root"><userinput>make install</userinput></screen>

    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
      href="../../xincludes/rm-la-file-referring-icu.xml"/>

<screen role="root"><userinput>rm -v /usr/lib/libqalculate.la</userinput></screen>
  </sect2>

  <sect2 role="commands">
    <title>Command Explanations</title>

    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
      href="../../xincludes/static-libraries.xml"/>
  </sect2>

  <sect2 role="content">
    <title>Contents</title>

    <segmentedlist>
      <segtitle>Installed Programs</segtitle>
      <segtitle>Installed Library</segtitle>
      <segtitle>Installed Directories</segtitle>

      <seglistitem>
        <seg>
          qalc
        </seg>
        <seg>
          libqalculate.so
        </seg>
        <seg>
          /usr/include/libqalculate,
          /usr/share/doc/libqalculate-&libqalculate-version;, and
          /usr/share/qalculate
        </seg>
      </seglistitem>
    </segmentedlist>

    <variablelist>
      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
      <?dbfo list-presentation="list"?>
      <?dbhtml list-presentation="table"?>

      <varlistentry id="qalc">
        <term><command>qalc</command></term>
        <listitem>
          <para>
            is a powerful and easy to use command line calculator
          </para>
          <indexterm zone="libqalculate qalc">
            <primary sortas="b-qalc">qalc</primary>
          </indexterm>
        </listitem>
      </varlistentry>

      <varlistentry id="libqalculate.so">
        <term><filename class="libraryfile">libqalculate.so</filename></term>
        <listitem>
          <para>
            contains the <application>libqalculate</application> API functions
          </para>
          <indexterm zone="libqalculate libqalculate.so">
            <primary sortas="c-libqalculate">libqalculate.so</primary>
          </indexterm>
        </listitem>
      </varlistentry>

    </variablelist>

  </sect2>

</sect1>
